VME BPM - Bug #9347

Transition board attenuation does not change as expected.
07/01/2015 04:34 PM - John Diamond
Description

We need to instrument the attenuator settings being sent to the transition board at the start of each spill and verify that it is correct

according to the table.

History

#1 - 07/01/2015 09:42 PM - John Diamond

Set a couple of trace messages to track what attenuation settings are being sent to the transition boards. So far the appears to be working correctly

but will need to test onsite with ACNET settings enabled in the morning.

Also, it appears that the Control task is receiving the end of beam command (TCLK $36 event) twice... | notice that the $36 event has two
subscribers. Perhaps the PMCUCDTimingSystem is receiving two interrupts for the same event?

#2 - 07/02/2015 09:22 AM - John Diamond

This morning sbpmf1 and sbpmf3 have both crashed multiple times. It would appear that tstbopm3 does not crash despite running on the same

hardware and software.

It may be important to note that sbpmf1 and sbpmf3 do not have the canbus attached. Will try disconnecting the canbus cable on tstbpm3 to see if
we can recreate the problem there.

Also, noticing that the processor can not keep up when plotting multiple position devices that are not seeing beam.
This leads to the following errors on the shell:
#3 - 07/02/2015 09:50 AM - John Diamond

LAST_BEAM_LOOKBACK_LIMIT was 720 (1 second of data), set this to 48 and the above errors went away.

Suspect that the classacnet 720Hz ISR was running overtime because it was spending too much time searching for beam when there is no beam (or
when the attenuators are set too high!)

Deployed the fix to all nodes and waiting to see if sbpmf1 and sbpmf3 stop crashing now.

#4 - 07/02/2015 10:45 AM - John Diamond

Used the TRACE messages added last night to verify that the values in the attenuator table are being sent to the proper channels on the transition
board. Plots look good so Troy will reconnect the canbus cable out at P1 and we will test that.

Also, have been watching F1 and F3 for about an hour now with plots going and no crashes.

#5 - 07/02/2015 04:08 PM - John Diamond
- Status changed from New to Resolved

- % Done changed from 0 to 100

Bug #9359 most likely had something to do with this as well.

No crashes on any of the 4 nodes since deploying this morning.

#6 - 07/02/2015 04:08 PM - John Diamond

- Status changed from Resolved to Closed
